## dkim-rotate 1.1

=== Makefile ===
# Copyright 2022 Ian Jackson and contributors to dkim-rotate
# SPDX-License-Identifier: GPL-3.0-or-later
# There is NO WARRANTY.

TESTS=$(notdir $(wildcard tests/t-*[^~]))

MANPAGES=dkim-rotate.1 dkim-rotate.5 dkim-rotate.7
HTML_DOCS=README.html INTERNALS.html $(addsuffix .html,$(MANPAGES))
TARGETS=$(HTML_DOCS) $(MANPAGES) 

INSTALL ?= install
SHELL = /bin/bash

PUBLISH_DOCS_DEST_HOST=ianmdlvl@login.chiark.greenend.org.uk
PUBLISH_DOCS_DEST_DIR=public-html/dkim-rotate/
PUBLISH_DOCS_DEST=$(PUBLISH_DOCS_DEST_HOST):$(PUBLISH_DOCS_DEST_DIR)

all: $(TARGETS)

prefix		?= /usr
etc_dir		?= /etc/dkim-rotate
bin_dir		?= $(prefix)/bin
man_dir		?= $(prefix)/share/man
doc_dir		?= $(prefix)/share/doc/dkim-rotate
examples_dir	?= $(doc_dir)/examples
var_dir		?= /var/lib/dkim-rotate

i=&& mv $@.tmp $@
o=>$@.tmp $i

install: all
	$(INSTALL) -d $(DESTDIR){$(etc_dir),$(bin_dir),$(var_dir)}
	$(INSTALL) -d $(DESTDIR){$(doc_dir),$(man_dir),$(examples_dir)}
	$(INSTALL) -m 755 dkim-rotate $(DESTDIR)$(bin_dir)/.
	$(INSTALL) -m 644 $(HTML_DOCS) $(DESTDIR)$(doc_dir)/.
	$(INSTALL) -m 644 crontab example.zone $(DESTDIR)$(examples_dir)/.
	set -e; for m in $(MANPAGES); do 			\
		md=$(DESTDIR)$(man_dir)/man$${m##*.}; 		\
		$(INSTALL) -d $$md; $(INSTALL) -m 644 $$m $$md;	\
		done

dkim-rotate%: dkim-rotate%.md
	pandoc -tman --standalone $< $o

%.html: %.md
	pandoc --standalone $< $o

publish-docs: $(HTML_DOCS)
	rsync $(HTML_DOCS) $(PUBLISH_DOCS_DEST)/.
	ssh $(PUBLISH_DOCS_DEST_HOST) \
 'set -e; cd $(PUBLISH_DOCS_DEST_DIR); ln -s README.html index.html.tmp; mv -f index.html.tmp index.html'

check: $(foreach T,$(TESTS),tmp/$T.ok)

tmp/%.ok: tests/% tests/run1 tests/lib dkim-rotate
	tests/run1 $* $<

clean:
	rm -rf tmp $(TARGETS)

## dkim-rotate 0.4

=== debian/changelog ===
dkim-rotate (0.4) unstable; urgency=medium

  Functional changes:
  * Adjust default/example crontab.
  * Reload the MTA properly after key generaion in more cases.

  Documentation:
  * Greatly expand and reorganise documentation.

  Packaging and build system:
  * Dependency management somewhat automated and improved.
    (Dependency on perl is now on perl:any.)
  * Machinery for publishing docs to website.
  * Removed spurious fourth number from Standards-Version.
    [Report from Sean Whitton.]

  Tests:
  * Introduced run1 wrapper to get code out of Makefile.
  * Check that we don't have unexpected rotation stalls.
  * New `cparams` test for running twice daily with many selectors.
  * Add autopkgtests.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 07 Aug 2022 20:10:17 +0100

dkim-rotate (0.3) unstable; urgency=medium

  * Bump version for actual initial upload to Debian.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 06 Aug 2022 17:16:56 +0100

dkim-rotate (0.2) unstable; urgency=medium

  * WIP, tidying up for initial upload to Debian.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 06 Aug 2022 16:57:11 +0100

dkim-rotate (0.1) unstable; urgency=medium

  * WIP, initial version for testing on chiark.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 01 Aug 2022 12:15:50 +0100

# Copyright 2022 Ian Jackson and contributors to dkim-rotate
# SPDX-License-Identifier: GPL-3.0-or-later
# There is NO WARRANTY.

=== debian/control ===
Source: dkim-rotate
Build-Depends: pandoc, debhelper (>= 13),
# @@@ runtime Depends
	libgetopt-long-descriptive-perl, libmime-tools-perl, openssl,
# @@@ runtime Recommends
	curl,
# @@@ testing Depends
        faketime,
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Section: mail
Priority: optional
Standards-Version: 4.6.1

Package: dkim-rotate
Architecture: all
Depends: bash (>= 4),
	${misc:Depends}, ${perl:Depends}, ${extracted:runtime:Depends}
Recommends: moreutils,
        ${extracted:runtime:Recommends}
Description: dkim-rotate - rotating and publishing DKIM email keys
 Manages a rotating collection of DKIM mail signing keys,
 advertising them via the DNS, and revealing the private halves of old
 keys so as to avoid making email non-repudiable.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2022 Ian Jackson and contributors to dkim-rotate
# SPDX-License-Identifier: GPL-3.0-or-later
# There is NO WARRANTY.

p=dkim-rotate
d=debian/$p

%:
	dh "$@"

override_dh_installcron:
	cp crontab debian/$p.cron.d
	dh_installcron -i

override_dh_gencontrol:
	debian/extract-deps runtime:Depends runtime:Recommends \
		>debian/extracted.substvars
	dh_gencontrol -i -- -Tdebian/extracted.substvars

debian/tests/control: debian/tests/control.in debian/control debian/deps.pl
	$< >$@.tmp && mv -f $@.tmp $@

## dkim-rotate 1.0

=== debian/changelog ===
dkim-rotate (1.0) unstable; urgency=medium

  Documentation fixes:
  * dkim-rotate(5): Fix default for `dkim_txt` to be accurate.
  * Fix some typos and a formatting botch.

  * Declare 1.0.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 14 Aug 2023 19:11:16 +0100

## dkim-rotate 1.1

=== debian/changelog ===
dkim-rotate (1.1) unstable; urgency=medium

  Important bugfix:
  * Fix reload failure handling with multiple reload-neededs.
    Closes: #1064452.  [Report from Daniel Gröber]

  Documentation etc.:
  * Correct spelling mistakes in docs etc.  [MR !1 from Edward Betts]
  * example.zone: Clarify commented directive.  [Report from Daniel Gröber]
  * dkim-rotate(5): Add a SEE ALSO referencing the example config.
  * debian/control: Improve description.

  Tests:
  * tests: Test spurious "corrupted state" bug #1064452.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 25 Feb 2024 01:32:47 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	${misc:Depends}, ${perl:Depends}, ${extracted:runtime:Depends}
 Recommends: moreutils,
         ${extracted:runtime:Recommends}
-Description: dkim-rotate - rotating and publishing DKIM email keys
+Description: Rotate and publishe DKIM email keys
  Manages a rotating collection of DKIM mail signing keys,
  advertising them via the DNS, and revealing the private halves of old
  keys so as to avoid making email non-repudiable.

=== debian/tests/control ===
Tests: faketime
Restrictions: allow-stderr
Depends: @, curl, faketime

Tests: mindeps
Restrictions: needs-root, allow-stderr
Depends: @, curl

## dkim-rotate 1.1build1

=== debian/changelog ===
dkim-rotate (1.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 22:13:24 +0000
